Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-5103

cordova emulate ios broken: --emulator vs. --emulate

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: Master, 3.1.0
    • Fix Version/s: 3.2.0
    • Component/s: cordova-cli, cordova-ios
    • Labels:
      None

      Description

      when using "cordova emulate ios"
      It doesn't launch ios simulator ios-sim never gets called

      possible root cause:
      cordova-cli calls "platforms/ios/cordova/run --emulator"
      https://github.com/apache/cordova-cli/blob/master/src/emulate.js#L25

      But cordova/run script expects "--emulate"
      https://github.com/apache/cordova-ios/blob/master/bin/templates/scripts/cordova/run#L62

      possible fix:
      update run to use --emulator instead of --emulate

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                csantana Carlos Santana
                Reporter:
                csantana Carlos Santana
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: